import { ApiRequestDefinition } from './api-request-definition';
import { ApiEndpoint } from './api-endpoint';
import { RequestDriver, RequestOptions, ServerResponse } from './request-driver';
export declare type ResponseModifier = (res: ServerResponse) => any;
export declare type RequestErrorModifier = (err: any) => any;
export declare class ApiContext {
    private apiPrefix;
    requestDriver: RequestDriver;
    private requestsSubject;
    private headers;
    constructor(apiPrefix: string, requestDriver: RequestDriver);
    setHeader(header: string, value: string): void;
    unsetHeader(header: string): void;
    createEndpoint(requestDefinition: ApiRequestDefinition): ApiEndpoint;
    createRequestOptions(requestDefinition: ApiRequestDefinition, endpoint: ApiEndpoint): RequestOptions;
    doRequest(requestDefinition: ApiRequestDefinition): Promise<ServerResponse>;
    private mergeHeaders(otherHeaders);
}
