import { HTTP_METHOD } from './http-method';
export declare type REQUEST_DRIVER_TYPE = 'BROWSER' | 'NODE';
export interface ServerResponse {
    status: number;
    statusText: string;
    body: string;
    headers: object;
    driver: REQUEST_DRIVER_TYPE;
    raw: any;
}
export interface RequestOptions {
    url: string;
    method: HTTP_METHOD;
    body?: string;
    headers?: object;
    formData?: any;
}
/**
 * Performs the request specified by the options and returns a promise
 * that will resolve once the server sent it's response.
 * The promise will be rejected when there is a network failure or
 * other technical issues with establishing the connection.
 */
export declare type RequestDriver = (options: RequestOptions) => Promise<ServerResponse>;
/**
 * Obtain the request driver for the given type
 */
export declare function getRequestDriver(type: REQUEST_DRIVER_TYPE): RequestDriver;
