/**
 *  PROFILING - CATEGORIES
 */
export interface ProfilingCategory {
    id?: string;
    order: number;
    name: Array<{
        lang: string;
        text: string;
    }>;
}
/**
 *  PROFILING - INTERESTS
 */
export interface ProfilingInterest {
    id?: string;
    categoryId: string;
    name: Array<{
        lang: string;
        text: string;
    }>;
}
/**
 *  PROFILING - FAN ATTRIBUTES
 */
export declare enum ProfilingFanAttributeStatusEnum {
    VALIDATED = "VALIDATED",
    UNVALIDATED = "UNVALIDATED",
}
export declare enum ProfilingFanAttributeActionStatusEnum {
    validate = "validate",
    unvalidate = "unvalidate",
}
export declare type ProfilingFanAttributeStatus = ProfilingFanAttributeStatusEnum.VALIDATED | ProfilingFanAttributeStatusEnum.UNVALIDATED;
export declare type ProfilingFanAttributeActionStatus = ProfilingFanAttributeActionStatusEnum.validate | ProfilingFanAttributeActionStatusEnum.unvalidate;
export interface ProfilingFanAttribute {
    id?: string;
    name: string;
    externalIdType: string | null;
    externalId: string | null;
    interestId: string | null;
    status: ProfilingFanAttributeStatus;
    aliases: string[] | null[];
}
export interface FanAttributeCreateUpdateDTO {
    externalIdType: string | null;
    externalId: string | null;
    interestId: string | null;
    name: string | null;
    aliases: string[] | null[];
}
/**
 *  USER - INTERESTS
 */
export interface UserInterest {
    userId: string;
    interest: ProfilingInterest;
    status: UserInterestStatus;
}
export interface UserInterestUpdateDTO {
    id: string;
    status: UserInterestActionStatus;
}
export declare enum UserInterestStatusEnum {
    LIKE = "LIKE",
    DISLIKE = "DISLIKE",
    NEUTRAL = "NEUTRAL",
    UNKNOWN = "UNKNOWN",
}
export declare enum UserInterestActionStatusEnum {
    like = "like",
    dislike = "dislike",
    neutral = "neutral",
}
export declare type UserInterestStatus = UserInterestStatusEnum.LIKE | UserInterestStatusEnum.DISLIKE | UserInterestStatusEnum.NEUTRAL | UserInterestStatusEnum.UNKNOWN;
export declare type UserInterestActionStatus = UserInterestActionStatusEnum.like | UserInterestActionStatusEnum.dislike | UserInterestActionStatusEnum.neutral;
/**
 *  USER - FAN ATTRIBUTES
 */
export interface UserFanAttribute {
    userId: string;
    fanAttribute: ProfilingFanAttribute;
    status: UserFanAttributeStatus;
}
export interface UserFanAttributeUpdateDTO {
    id?: string;
    name?: string;
    status: UserFanAttributeActionStatus;
}
export declare enum UserFanAttributeStatusEnum {
    UNLINKED = "UNLINKED",
    LINKED = "LINKED",
}
export declare enum UserFanAttributeActionStatusEnum {
    link = "link",
    unlink = "unlink",
    create = "link-by-name",
}
export declare type UserFanAttributeStatus = UserFanAttributeStatusEnum.UNLINKED | UserFanAttributeStatusEnum.LINKED;
export declare type UserFanAttributeActionStatus = UserFanAttributeActionStatusEnum.link | UserFanAttributeActionStatusEnum.unlink | UserFanAttributeActionStatusEnum.create;
/**
 *  WAITING LIST - INTEREST
 */
export interface WaitingListInterest {
    id: string;
    interest: ProfilingInterest | string;
    waitinglistId: string;
    status: UserFanAttributeStatus;
}
/**
 *  WAITING LIST - FAN ATTRIBUTES
 */
export interface WaitingListFanAttribute {
    id: string;
    fanAttribute: ProfilingFanAttribute | string;
    fanAttributeId: string;
    status: UserFanAttributeStatus;
}
