import { SeatersApiContext } from '../../seaters-api';
import { PagedResult } from '../paged-result';
import { PagingOptions } from '../paging-options';
import { SeatersApiController } from '../seaters-api-controller';
import { PaymentSystem, PaymentSystemCreateDTO, PaymentSystemUpdateDTO } from './payment-types';
export declare class PaymentApi extends SeatersApiController {
    private apiContext;
    constructor(apiContext: SeatersApiContext);
    getPaymentSystems(page: PagingOptions): Promise<PagedResult<PaymentSystem>>;
    getPaymentSystem(paymentSystemId: string): Promise<PaymentSystem>;
    createPaymentSystem(payload: PaymentSystemCreateDTO): Promise<PaymentSystem>;
    updatePaymentSystem(paymentSystemId: string, payload: PaymentSystemUpdateDTO): Promise<PaymentSystem>;
    deletePaymentSystem(paymentSystemId: string): Promise<void>;
}
