export interface SeatersExceptionV1 {
    uuid: string;
    message: string;
}
/**
 * Map Seaters API V1 exceptions to a usuable format
 *
 * @param mapping A mapping of V1 error messages to values of the given type
 * @return Returns an Promise that rejects with the mapped error
 */
export declare function seatersExceptionV1MessageMapper<T>(mapping: {
    [key: string]: T;
}): (err: any) => Promise<any>;
