import { REQUEST_DRIVER_TYPE } from './api';
import { AdminService, AppService, FanService, PaymentService, PublicService, SessionService, TicketingService } from './services';
export declare type PromiseMiddleware<T> = (promise: Promise<any>) => T;
export interface SeatersClientOptions {
    apiPrefix: string;
    requestDriver?: REQUEST_DRIVER_TYPE;
}
export declare class SeatersClient {
    private static DEFAULT_OPTIONS;
    sessionService: SessionService;
    appService: AppService;
    publicService: PublicService;
    fanService: FanService;
    adminService: AdminService;
    ticketingService: TicketingService;
    paymentService: PaymentService;
    private seatersApi;
    constructor(options?: SeatersClientOptions);
}
/**
 * Obtain a seaters client. This will only instantiate the client with the given options the first time you invoke it.
 * Calls made after the initial call will return the original instance.
 */
export declare let getSeatersClient: (options: SeatersClientOptions) => SeatersClient;
export declare function wrapClient<T>(promiseMiddleware: PromiseMiddleware<T>, client: SeatersClient): SeatersClient;
