import { AppService } from './../app-service';
import { SearchQuery, SearchResult } from '../../algolia-api';
import { RequestDriver } from '../../api';
import { FanGroup, SearchSeatersContentOptions, TypedSearchResult, WaitingList, GeoLoc } from './algolia-for-seaters-types';
export declare class AlgoliaForSeatersService {
    private appService;
    private requestDriver;
    private _apiP;
    private searchIndex;
    constructor(appService: AppService, requestDriver: RequestDriver);
    getFanGroupById(fanGroupId: string): Promise<FanGroup>;
    getFanGroupsById(fanGroupIds: string[]): Promise<FanGroup[]>;
    getWaitingListsByFanGroupId(fanGroupId: string, hitsPerPage: number, page: number, geoLoc?: GeoLoc, keywords?: string[], dateTimeStamp?: string): Promise<TypedSearchResult<WaitingList>>;
    getWaitingListsByFanGroupIds(fanGroupIds: string[], hitsPerPage: number, page: number): Promise<TypedSearchResult<WaitingList>>;
    getWaitingListById(waitingListId: string): Promise<WaitingList>;
    search(searchQuery: SearchQuery): Promise<SearchResult>;
    searchWaitingListsInFanGroup(fanGroupId: string, query: string, locale: string, hitsPerPage: number, page: number): Promise<TypedSearchResult<WaitingList>>;
    searchSeatersContent(query: string, locale: string, hitsPerPage: number, page: number, options?: SearchSeatersContentOptions): Promise<SearchResult>;
    getWaitingListsByKeywords(keywords: string[], hitsPerPage: number, page: number): Promise<SearchResult>;
    private api();
    private buildExactQuery(query, field, type, geoLoc?, keywords?, dateTimeStamp?);
    private findExactlyOne<T>(searchQuery, entityType, identifier);
    private findExactlyN<T>(searchQuery, identifiers);
    private getSearchableAttributes(locale);
    private stripAlgoliaFieldsFromObject<T>(result);
    private stripAlgoliaFieldsFromSearchResultHits<T>(result);
    private patchWaitingList(wl);
}
