import { SeatersApi } from '../../seaters-api';
import { fan } from './fan-types';
import { PagedResult } from '../../seaters-api/paged-result';
import { PagingOptions } from '../../seaters-api/paging-options';
export declare class FanGroupService {
    private api;
    constructor(api: SeatersApi);
    getFanGroups(fanGroupIds: string[]): Promise<fan.FanGroup[]>;
    getFanGroup(fanGroupId: string): Promise<fan.FanGroup>;
    getFanGroupBySlug(slug: string): Promise<fan.FanGroup>;
    getOauthAuthorizationCodeUrl(provider: string): Promise<any>;
    getFanGroupLookBySlug(slug: string): Promise<fan.FanGroupLook>;
    getFanGroupTranslatedDescription(fanGroupId: string): Promise<string>;
    joinFanGroup(fanGroupId: string): Promise<fan.FanGroup>;
    joinProtectedFanGroup(fanGroupId: string, code: string): Promise<fan.FanGroup>;
    requestToJoinPrivateFanGroup(fanGroupId: string): Promise<fan.FanGroup>;
    joinedFanGroups(pagingOptions: PagingOptions): Promise<PagedResult<fan.FanGroup>>;
    leaveFanGroup(fanGroupId: string): Promise<fan.FanGroup>;
    shareFanGroup(fanGroupId: string): Promise<fan.FanGroupShare>;
    hasGeoFilteredWaitingLists(fanGroupId: string): Promise<fan.FanGroupFilterInfo>;
    private checkUnlockStatus(fg);
    private extendRawFanGroup(fg);
    private extendRawFanGroups(fgs);
    private getRawFanGroup(fanGroupId);
    private getFanGroupActionStatus(fanGroup);
    private pollFanGroup(fanGroupId, condition);
}
