import { Address as _Address, AttendeeInfo as _AttendeeInfo, AttendeesInfo as _AttendeesInfo, Fan as _Fan, FanGroup as _FanGroup, FanGroupFilterInfo as _FanGroupFilterInfo, FanGroupLook as _FanGroupLook, FanGroupShare as _FanGroupShare, PhoneNumber as _PhoneNumber, Price as _Price, WaitingList as _WaitingList, WaitingListShare as _WaitingListShare, AdditionalCharges as _AdditionalCharges } from '../../seaters-api/fan';
export declare namespace fan {
    enum WAITING_LIST_ACTION_STATUS {
        UNLOCK = 0,
        SOON = 1,
        BOOK = 2,
        WAIT = 3,
        CONFIRM = 4,
        GO_LIVE = 5,
        ERROR = 6,
        NO_SEATS = 7,
    }
    interface WaitingList extends _WaitingList {
        /**
         * What action can be taken next?
         */
        actionStatus?: WAITING_LIST_ACTION_STATUS;
        /**
         * Is seaters currently processing your request?
         */
        processing: boolean;
        /**
         * If required, does the attendee info needs to be provided still?
         */
        shouldProvideAttendeesInfo: boolean;
    }
    interface Price extends _Price {
    }
    enum FAN_GROUP_ACTION_STATUS {
        CAN_JOIN = 0,
        CAN_LEAVE = 1,
        CAN_UNLOCK = 2,
        CAN_REQUEST = 3,
        WAITING_FOR_APPROVAL = 4,
    }
    interface FanGroupLook extends _FanGroupLook {
    }
    interface FanGroup extends _FanGroup {
        /**
         * FanGroup Fan's action status
         */
        actionStatus?: FAN_GROUP_ACTION_STATUS;
    }
    interface AttendeeInfo extends _AttendeeInfo {
    }
    interface AttendeesInfo extends _AttendeesInfo {
    }
    interface Fan extends _Fan {
    }
    interface FanGroupShare extends _FanGroupShare {
    }
    interface WaitingListShare extends _WaitingListShare {
    }
    interface Address extends _Address {
    }
    interface PhoneNumber extends _PhoneNumber {
    }
    interface FanGroupFilterInfo extends _FanGroupFilterInfo {
    }
    interface AdditionalCharges extends _AdditionalCharges {
    }
}
