import { RequestDriver } from '../../api';
import { PagedResult, PagingOptions } from '../../shared-types';
import { SeatersApi } from '../../seaters-api';
import { SearchSeatersContentOptions, GeoLoc } from '../algolia-for-seaters';
import { AppService } from '../app-service';
import { pub } from './public-types';
import { fan } from '../fan-service/fan-types';
export declare class PublicService {
    private seatersApi;
    private algoliaForSeatersService;
    constructor(appService: AppService, requestDriver: RequestDriver, seatersApi: SeatersApi);
    getFanGroup(fanGroupId: string): Promise<pub.FanGroup>;
    getFanGroupLookBySlug(slug: string): Promise<fan.FanGroupLook>;
    getFanGroups(fanGroupIds: string[]): Promise<pub.FanGroup[]>;
    getWaitingList(waitingListId: string): Promise<pub.WaitingList>;
    getWaitingListsInFanGroup(fanGroupId: string, pagingOptions: PagingOptions, geoLoc?: GeoLoc, keywords?: string[], dateTimeStamp?: string): Promise<PagedResult<pub.WaitingList>>;
    getWaitingListsInFanGroups(fanGroupIds: string[], pagingOptions: PagingOptions): Promise<PagedResult<pub.WaitingList>>;
    getWaitingListPrice(waitingListId: string, numberOfSeats: number): Promise<pub.Price>;
    searchSeatersContent(query: string, locale: string, page?: PagingOptions, options?: SearchSeatersContentOptions): Promise<PagedResult<pub.SeatersContent>>;
    searchWaitingListsInFanGroup(fanGroupId: string, query: string, locale: string, page?: PagingOptions): Promise<PagedResult<pub.WaitingList>>;
    getWaitingListsByKeywords(keywords: string[], page?: PagingOptions): Promise<PagedResult<pub.WaitingList>>;
    private defaultPage(page);
    private convertAlgoliaResultSet<T>(searchResult);
    private getFanGroupActionStatus(fanGroup);
    /**
     *
     * The action status for public fan groups is limited since we don't have:
     * - position
     * - seat
     * - request
     * - ...
     * since the user is not logged in
     */
    private getWaitingListActionStatus(waitingList);
}
