import { FanGroup as _FanGroup, SearchSeatersContentOptions as _SearchSeatersContentOptions, WaitingList as _WaitingList } from '../algolia-for-seaters';
import { FanGroupLook as _FanGroupLook, Price as _Price } from '../../seaters-api/fan';
import { fan } from '../fan-service/fan-types';
/**
 * The namespace of resources in the context of publicly available data
 * Normally this should be called 'public', but sadly public is a reserved keyword, so
 * we chose 'pub' (as in "let's have a pint in the pub").
 */
export declare namespace pub {
    interface FanGroup extends _FanGroup {
        actionStatus?: fan.FAN_GROUP_ACTION_STATUS;
    }
    interface WaitingList extends _WaitingList {
        actionStatus?: fan.WAITING_LIST_ACTION_STATUS;
    }
    interface Price extends _Price {
    }
    interface FanGroupLook extends _FanGroupLook {
    }
    interface SearchSeatersContentOptions extends _SearchSeatersContentOptions {
    }
    type SeatersContent = FanGroup | WaitingList;
}
