export interface ComparisonOptions {
    /**
     * Exclude fields that are null from the objects to compare
     */
    ignoreNullFields: boolean;
    /**
     * Exclude fields that are undefined from the objects to compare
     */
    ignoreUndefinedFields: boolean;
    /**
     * Use == instead of === to compare object field values
     */
    looseComparison: boolean;
}
/**
 * Deep compare of 2 objects; matching the value of each key
 * @param o an Object
 * @param p an Object
 * @param options
 */
export declare function compareObjects(o: any, p: any, options?: ComparisonOptions): boolean;
